Hi all!

./configure --prefix=$HOME/inst/pg-9 --enable-nls --enable-debug --enable-depend --enable-cassert --enable-thread-safety --with-pgport=5431 --with-libxml --with-libxslt --with-python --with-perl --with-tcl FLEX=/usr/local/bin/flex

--8<---------------cut here---------------start------------->8---
checking for python... /usr/local/bin/python
checking for Python distutils module... yes
checking Python configuration directory... /usr/local/lib/python2.6/config
checking how to link an embedded Python application... -L/usr/local/lib/python2.6/config -lpython2.6 -lutil -lm
checking whether Python is compiled with thread support... yes
configure: error: threaded Python not supported on this platform
--8<---------------cut here---------------end--------------->8---

Where can I find a description of this problem? Is any chance to fix it?

--
Sergey Burladyan

Search Discussions

  • Robert Haas at Oct 15, 2010 at 12:45 am

    On Wed, Oct 13, 2010 at 3:36 PM, Sergey Burladyan wrote:
    Hi all!

    ./configure --prefix=$HOME/inst/pg-9 --enable-nls --enable-debug --enable-depend --enable-cassert --enable-thread-safety --with-pgport=5431 --with-libxml --with-libxslt --with-python --with-perl --with-tcl FLEX=/usr/local/bin/flex

    --8<---------------cut here---------------start------------->8---
    checking for python... /usr/local/bin/python
    checking for Python distutils module... yes
    checking Python configuration directory... /usr/local/lib/python2.6/config
    checking how to link an embedded Python application... -L/usr/local/lib/python2.6/config -lpython2.6 -lutil -lm
    checking whether Python is compiled with thread support... yes
    configure: error: threaded Python not supported on this platform
    --8<---------------cut here---------------end--------------->8---

    Where can I find a description of this problem? Is any chance to fix it?
    In config/python.m4 you'll find the following:

    # threaded python is not supported on bsd's
    AC_MSG_CHECKING(whether Python is compiled with thread support)
    pythreads=`${PYTHON} -c "import sys; print(int('thread' in
    sys.builtin_module_names))"`
    if test "$pythreads" = "1"; then
    AC_MSG_RESULT(yes)
    case $host_os in
    openbsd*|freebsd*)
    AC_MSG_ERROR([threaded Python not supported on this platform])
    ;;
    esac
    else
    AC_MSG_RESULT(no)
    fi

    So it looks like we throw that error on OpenBSD and FreeBSD. That was
    apparently introduced by this relatively inexplicable commit, back in
    2005:

    http://git.postgresql.org/gitweb?p=postgresql.git;a=commit;h=d3a0c8dce9380e77734e41becd9aa35618030352

    It seems plausible this might not be a problem any more, 5 years on...
    perhaps you could comment that test out of configure and see if it
    works for you. Or if not, what the actual problem is.

    --
    Robert Haas
    EnterpriseDB: http://www.enterprisedb.com
    The Enterprise PostgreSQL Company

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-hackers @
categoriespostgresql
postedOct 14, '10 at 5:01a
activeOct 15, '10 at 12:45a
posts2
users2
websitepostgresql.org...
irc#postgresql

2 users in discussion

Sergey Burladyan: 1 post Robert Haas: 1 post

People

Translate

site design / logo © 2022 Grokbase